-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Version = Guilder:GetModule("Version")
local L = Guilder.L

Guilder_Version:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Version Checker Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["Version Checker queries the players in the party or raid for the versions of raid addons installed."],
				order = 0
			},
			channel = {
				type = "select",
				name = L["Query"],
				desc = L["Choose who you would like to check."],
				order = 1,
				values = { ["GROUP"] = L["Group"], ["GUILD"] = L["Guild"], ["WHISPER"] = L["Player"] },
				get = function() return self.db.profile.channel end,
				set = function(info, v) self.db.profile.channel = v end
			},
			who = {
				type = "select",
				name = L["Player"],
				desc = L["Choose the player you want to query"],
				order = 2,
				values = Guilder:PlayersInGroupOrGuild(),
				get = function() return self.db.profile.player end,
				set = function(info, v) self.db.profile.player = v end
			},
			send = {
				type = "execute",
				name = L["Query"],
				desc = L["Request the versions from the selected people"],
				order = 3,
				func = function() self:QueryPlayerVersions() end
			},
--[[			h1 = {
				type = "header",
				name = L["Miscellaneous Addons to Check For"],
				order = 4
			},
			guilder = {
				type = "toggle",
				name = L["Guilder"],
				desc = "",
				order = 5,
				get = function() return self.db.profile.queryGuilder end,
				set = function(info, v) self.db.profile.queryGuilder = v end
			},]]
			h2 = {
				type = "header",
				name = L["Raid Addons to Check For"],
				order = 6
			},
			bigwigs = {
				type = "toggle",
				name = L["BigWigs"],
				desc = "",
				order = 7,
				get = function() return self.db.profile.queryBigwigs end,
				set = function(info, v) self.db.profile.queryBigwigs = v end
			},
			dbm = {
				type = "toggle",
				name = L["Deadly Boss Mods"],
				desc = "",
				order = 8,
				get = function() return self.db.profile.queryDBM end,
				set = function(info, v) self.db.profile.queryDBM = v end
			},
			dxe = {
				type = "toggle",
				name = L["Deus Vox Encounters"],
				desc = "",
				order = 9,
				get = function() return self.db.profile.queryDXE end,
				set = function(info, v) self.db.profile.queryDXE = v end
			},
			omen = {
				type = "toggle",
				name = L["Omen"],
				desc = "",
				order = 10,
				get = function() return self.db.profile.queryOmen end,
				set = function(info, v) self.db.profile.queryOmen = v end
			},
			recount = {
				type = "toggle",
				name = L["Recount"],
				desc = "",
				order = 11,
				get = function() return self.db.profile.queryRecount end,
				set = function(info, v) self.db.profile.queryRecount = v end
			}
		}
	}
end)
